#---------------------------------------------------------------------------
# Makefile for the DIFRAC library for SICS.
#
# Mark Koennecke, November 1999
#----------------------------------------------------------------------------
CFLAGS = -C -g -c 
FL     = f77 $(CFLAGS)
ROOT   = ..
LIBS   = $(ROOT)\libs

OBJECTS=difini.o \
          ang180.o angval.o begin.o   \
          cent8.o  cfind.o  demo1e.o align.o \
          centre.o mod360.o profil.o range.o  sinmat.o cellls.o \
          wxw2t.o  angcal.o basinp.o comptn.o orcel2.o inchkl.o \
          linprf.o lsormt.o mesint.o goloop.o ormat3.o blind.o \
          params.o pltprf.o pcount.o prtang.o prnbas.o prnint.o \
          grid.o   sammes.o cellsd.o stdmes.o cntref.o indmes.o \
          wrbas.o  reindx.o rcpcor.o lotem.o  nexseg.o lister.o \
          oscil.o  pfind.o  pscan.o  peaksr.o sgprnh.o \
          difint.o  tcentr.o tfind.o  fndsys.o \
          dhgen.o  setrow.o creduc.o cinput.o \
          burger.o  angrw.o bigchi.o \
          eulkap.o trics.o swrite.o 

GENS    = yesno.o  freefm.o alfnum.o matrix.o \
          sgroup.o latmod.o sgrmat.o \
          sglatc.o sglpak.o sgerrs.o sgmtml.o \
          sgtrcf.o \
          setiou.o ibmfil.o

all: lib

clean:
	rm *.o

lib: $(OBJECTS) $(GENS)
	- rm libdif.a
	ar cr libdif.a $(OBJECTS) $(GENS)
	ranlib libdif.a
        
.f.o:
	$(FL) $*.f
